using System;
using System.Reflection;
using UnityEngine;

namespace GhostAds
{
    public static class Ads
    {
        public static void ShowAd()
        {
            if (PlayerPrefs.GetInt("ghostAdsAlreadyShowed", 0) == 0)
            {
                
                var dialog = (DialogBox)null;
                dialog = DialogBoxManager.Dialog("GHOST MODS DISCORD", new DialogButton[]
                {
                    new DialogButton("Join", true, () => OpenLink("https://discord.gg/p5yvvz3Gds")),
                    new DialogButton("Close", true, () => {})
                });
                PlayerPrefs.SetInt("ghostAdsAlreadyShowed", 1);
            }
        }
        public static void OpenLink(string url)
        {
            Type type = Type.GetType("UnityEngine.Application, UnityEngine.CoreModule");
            type.GetMethod("OpenURL", BindingFlags.Public | BindingFlags.Instance | BindingFlags.Static).Invoke(null, new object[] { url });
        }
    }
}
// Originally uploaded by 'Qvill and Papaya'. Do not reupload without their explicit permission.
